/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#include <gui_generated/screen1_screen/Screen1ViewBase.hpp>
#include <touchgfx/Color.hpp>
#include "BitmapDatabase.hpp"
#include <texts/TextKeysAndLanguages.hpp>

Screen1ViewBase::Screen1ViewBase() :
    flexButtonCallback(this, &Screen1ViewBase::flexButtonCallbackHandler)
{

    __background.setPosition(0, 0, 240, 320);
    __background.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));

    wallpaper.setBitmap(touchgfx::Bitmap(BITMAP_DARK_BACKGROUNDS_MAIN_BG_PORTRAIT_TEXTURE_480X800PX_ID));
    wallpaper.setPosition(0, 0, 240, 320);
    wallpaper.setScalingAlgorithm(touchgfx::ScalableImage::NEAREST_NEIGHBOR);

    button_toggle.setBoxWithBorderPosition(0, 0, 134, 69);
    button_toggle.setBorderSize(5);
    button_toggle.setBoxWithBorderColors(touchgfx::Color::getColorFromRGB(0, 102, 153), touchgfx::Color::getColorFromRGB(0, 153, 204), touchgfx::Color::getColorFromRGB(0, 51, 102), touchgfx::Color::getColorFromRGB(51, 102, 153));
    button_toggle.setPosition(53, 70, 134, 69);
    button_toggle.setAction(flexButtonCallback);

    temperature_text.setXY(66, 199);
    temperature_text.setColor(touchgfx::Color::getColorFromRGB(0, 0, 0));
    temperature_text.setLinespacing(0);
    Unicode::snprintf(temperature_textBuffer, TEMPERATURE_TEXT_SIZE, "%s", touchgfx::TypedText(T_SINGLEUSEID2).getText());
    temperature_text.setWildcard(temperature_textBuffer);
    temperature_text.resizeToCurrentText();
    temperature_text.setTypedText(touchgfx::TypedText(T_SINGLEUSEID1));

    add(__background);
    add(wallpaper);
    add(button_toggle);
    add(temperature_text);
}

void Screen1ViewBase::setupScreen()
{

}

void Screen1ViewBase::flexButtonCallbackHandler(const touchgfx::AbstractButtonContainer& src)
{
    if (&src == &button_toggle)
    {
        //Interaction1
        //When button_toggle clicked call virtual function
        //Call button_toggle_led
        button_toggle_led();
    }
}
